## org.eclipse.emf.compare.ui.export
Interface IExportAction

    public interface IExportAction

Describes an action that can be used by EMF Compare "export diff as" menu. EMF Compare "export" extension point requires a class implementing this.

Method Summary
`void` `exportSnapshot(ComparisonSnapshot snapshot)` This will be called when the described action will be triggered.
`org.eclipse.swt.graphics.Image` `getDisabledImage()` Returns the action's display icon when disabled.
`org.eclipse.swt.graphics.Image` `getEnabledImage()` Returns the action's display image while enabled as well as the image that will be displayed when the mouse hovers over it.
`java.lang.String` `getText()` Defines the action's display text.
`java.lang.String` `getToolTipText()` Defines the action's tool tip text.

Method Detail

### exportSnapshot

    void exportSnapshot(ComparisonSnapshot snapshot)

  This will be called when the described action will be triggered.

  Implementing classes should implement this method as they would implement `Action.run()`.

  Parameters:
    `snapshot` - This represents the contents that should be exported.

### getDisabledImage

    org.eclipse.swt.graphics.Image getDisabledImage()

  Returns the action's display icon when disabled.

  Returns:
    The action's display icon when disabled.
  See Also:
    `Action.setDisabledImageDescriptor(org.eclipse.jface.resource.ImageDescriptor)`

### getEnabledImage

    org.eclipse.swt.graphics.Image getEnabledImage()

  Returns the action's display image while enabled as well as the image that will be displayed when the mouse hovers over it.

  Returns:
    The action's display image while enabled.
  See Also:
    `Action.setImageDescriptor(org.eclipse.jface.resource.ImageDescriptor)`, `Action.setHoverImageDescriptor(org.eclipse.jface.resource.ImageDescriptor)`

### getText

    java.lang.String getText()

  Defines the action's display text.

  Returns:
    The action's display text.
  See Also:
    `Action.setText(String)`

### getToolTipText

    java.lang.String getToolTipText()

  Defines the action's tool tip text.

  Returns:
    The action's tool tip text.
  See Also:
    `Action.setToolTipText(String)`

Copyright 2006 IBM Corporation and others. All Rights Reserved.